@echo off
if %~1==arm (
	set QARCH=armv7
	set TARCH=armeabi-v7a
)
if %~1==arm64 (
	set QARCH=arm64_v8a
	set TARCH=arm64-v8a
)
if %~1==x86 (
	set QARCH=x86
	set TARCH=x86
)
if %~1==x86_64 (
	set QARCH=x86_64
	set TARCH=x86_64
)
mkdir ..\pult_remote_build_android_%~1
cd ..\pult_remote_build_android_%~1
set ANDROID_TARGET_ARCH=%TARCH%
call %ANDROID_QT5_DIR%\android_%QARCH%\bin\qmake.exe ../pult_remote/android_pult_remote.pro -spec android-clang "CONFIG+=qtquickcompiler"
::D:/Distrib/Android/sdk-windows/ndk-bundle/prebuilt/windows-x86_64/bin/make.exe qmake_all
::make qmake_all
::make install -j4 
call make install -j4 INSTALL_ROOT=%INSTALL_ROOT%
